package com.taiji.system.enums;

/***
 * <p>
 * OSS 对象存储类型
 * </p>
 * @author hou yi
 * @date 2022/11/21 11:16
 **/
public enum OssType {
    /**
     * Minio 对象存储
     */
    MINIO("minio", 1),

    /**
     * 华为 OBS
     */
    OBS("obs", 2),

    /**
     * 腾讯 COS
     */
    COS("tencent", 3),

    /**
     * 阿里巴巴 SSO
     */
    ALIBABA("alibaba", 4),
    ;

    private final String code;

    private final Integer type;

    OssType(String code, Integer type) {
        this.code = code;
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public Integer getType() {
        return type;
    }
}
