package com.taiji.system.enums;

/***
 * <p>
 *  统一返回值状态码
 * </p>
 * @author hou yi
 * @date 2022/7/27 11:13
 **/
public enum ResultStatusEnum {
    /**
     * 描述
     */
    PARAMETER_ERROR(102, "参数错误"),
    SUCCESS(200, "操作成功"),
    GLOBAL_EXCEPTION(301, "统一异常处理"),
    FAIL(500, "请求失败"),
    ;

    /**
     * 状态码
     */
    private final Integer code;

    /**
     * 状态描述
     */
    private final String message;

    ResultStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}